Subject: Re: linux-next: build failure after merge of the mfd tree

From: Mark Brown <[email-masked]>
Date: Wed, 1 Oct 2025 18:21:35 +0100

On Wed, Oct 01, 2025 at 01:50:28PM +0100, Lee Jones wrote:
> On Wed, 01 Oct 2025, Mark Brown wrote:

> > Your tree gets merged first so we get a build failure when your tree is
> > merged, it would get sorted out eventually when the gpio trees are added
> > but all the intermediate builds are broken.

> Interesting.

> I thought the point of -next was to test everything integrated.

It is, but part of how we do that is we add a tree at a time and see if
they break - there's byproducts of the whole process like pending-fixes
which allows fixes to be tested without all the new work in -next.

> Thanks for the heads-up though.  I'll wait until this has been merged
> before sending out my own PR to Linus.

Note that this has kept everything added after it out of -next.